AbstractDomain.h File Reference
`#include "system_dep.h"`
`#include "DataTypes.h"`
`#include "EsysMPI.h"`
`#include "Pointers.h"`
`#include <boost/python/tuple.hpp>`
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Classes

class | escript::AbstractDomain
| Base class for all escript domains. More...

## Namespaces

| escript

## Typedefs

typedef boost::shared_ptr< AbstractDomain > | escript::Domain_ptr
typedef boost::shared_ptr< const AbstractDomain > | escript::const_Domain_ptr